Display new location in source wiki
Closed, DeclinedPublic5 Story Points

Description

Motivation
Once a file has been moved to Commons successfully, the move should be mentioned in the source wiki. This allows the community to then decide what to do with the file (e.g. delete)

Task
When the FileExporter is informed by the FileImporter that the file has been moved, please add the following system message

OPTION 1: to the top of the wiki page:
This file has been moved to <URL> with the FileExporter.

OPTION 2: the {{NowCommons}} Template in a config param. If there are different templates needed for different projects, the estimation would go up to 8

TODO: Decide!

This edit should be made in the name of the mover, with an edit summary "Moved to <URL/RevisionID + target wiki name info / what turns out to be best> with FileExporter"

Possible issues
Obtaining an edit token might be an issue.

Lea_WMDE created this task.Mar 10 2017, 5:34 PM
Lea_WMDE renamed this task from Add "moved to Commons" template to source wiki file page to Add tracking category on file in sourec wiki.Mar 15 2017, 3:38 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE changed the task status from Open to Stalled.

Before building that, we need to figure out how to provide the source wiki the title and url of the file on Commons

Addshore renamed this task from Add tracking category on file in sourec wiki to Add tracking category on file in source wiki.Mar 16 2017, 6:05 PM
Lea_WMDE changed the task status from Stalled to Open.Jul 31 2017, 9:37 AM

Even I don't understand anymore why I stalled this in the first place

Lea_WMDE updated the task description. (Show Details)Jul 31 2017, 9:41 AM

If there are better ideas for the tracking category name out there, please let me know!

Lea_WMDE renamed this task from Add tracking category on file in source wiki to Inform source wiki about a successful move.Aug 17 2017, 10:11 AM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE added a subscriber: Andrew-WMDE.

@Addshore @Andrew-WMDE or other native english speakers: Please improve info sentence, if necessary! :)

Lea_WMDE renamed this task from Inform source wiki about a successful move to Display new location in source wiki .Aug 17 2017, 10:25 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)Aug 17 2017, 2:07 PM

After some time looking into this I realized, that the Echo guys are doing what we need here by obtaining remote tokens via CentralAuth and using them for cross wiki API requests. [1]

I wonder if we can/should just c&p that? @Addshore thoughts?

[1] https://phabricator.wikimedia.org/diffusion/ECHO/browse/master/includes/ForeignWikiRequest.php

Change 386205 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/FileImporter@master] [WIP] Set notice in file on the source wiki

https://gerrit.wikimedia.org/r/386205

Also for clarification: The plan here is to have a default message hardcoded (without i18n) but with the option to be customized via a config var ($wgFileImporter....) - see T160182#3714953

While working on this and starting a first approach with calling the API of the source wiki via CentralAuth token, we decided that the proper/better to do this is would be submitting a job on the sourcewiki that does the edit. We will work on that in another sprint and postpone the issue for now.

Should be merged with T187176.

Lea_WMDE set the point value for this task to 5.Feb 27 2018, 4:26 PM

Taking this over from the ticket we merged in

Lea_WMDE updated the task description. (Show Details)Mar 1 2018, 8:25 AM
Lea_WMDE moved this task from Todo to Proposed on the WMDE-QWERTY-Team board.Mar 6 2018, 11:37 AM
Lea_WMDE closed this task as Declined.Mar 12 2018, 9:22 AM

For the first version, we will ask the user to make these changes, but it will not happen automatically yet.